title: Fast Software, Paid Newsletters, Novels
url: https://craigmod.com/roden/028/
hash_url: 0e61c22644fe5ee4dd27f44be4d4ecd1

<p><a href="https://craigmod.com/membership/" style="border: none;"><img src="https://craigmod.com/roden/img/028/mountainworks.jpg" alt="Kamakura Fireworks as seen from Zushi Highland" style="width: 100%; height: auto;" class="fullbleed" /></a></p>

<p>Beautiful Rodendendrons —</p>

<p><a href="https://craigmod.com/roden/014/">Summer in Japan</a> = fireworks. An abundance of fireworks. Weekly fireworks. Fireworks at every lake, every beach, every river. Fireworks in fields. Fireworks in tiny parks. I climbed a little mountain to watch a few last week. Fireworks of a cove, you could say. The air was crisp, a little chilly even, and, unlike last year, the winds were in our favor. Clear views all the way through to the end.</p>

<hr />

<p>This <em>Roden</em> was supposed to go out two weeks ago. I was holding off on sending because I wanted to announce a little talk I’ll be giving in NYC. Planning for that kept getting pushed. And then fourth of July shut down America. And then other deadlines took over. And now, finally, finally, finally I have a link for you all!</p>

<p>On August 8th I’ll be giving a tiny talk, very informal, kindly hosted by the beautiful humans at <a href="https://postlight.com/">Postlight</a> in Manhattan. Seating is limited. Grab a ticket here:</p>

<p><a href="https://peatix.com/event/885437/">https://peatix.com/event/885437/</a></p>

<p>This is a free event, essentially sponsored by my <a href="https://craigmod.com/membership/">membership program</a>. If you’re a student and having trouble getting a ticket, respond to this email and let me know. We&rsquo;ll get you in.</p>

<hr />

<p><img src="https://craigmod.com/roden/img/028/bed-03.jpg" alt="Bed 03" style="width: 100%; height: auto;" class="fullbleed" /></p>

<h4 id="software">Software</h4>

<p>Strange <em>Roden</em>, as usual. Down below, a 2,000 word essay on … speed and software? This is the exact kind of thing that doesn&rsquo;t really have a home outside of Newsletter Island. Who’s going to buy this from me? It turns out: you. Indirectly, this essay was paid for by <a href="https://craigmod.com/membership/">Explorers Club memberships</a>. Thanks for letting me be weird. It could probably use like two more swings of ye old editing hatchet. But, because <em>Roden</em> feels liminal and informal, I’m OK with putting it up here.</p>

<hr />

<p><img src="https://craigmod.com/roden/img/028/bed-06.jpg" alt="Bed 06" style="width: 100%; height: auto;" class="fullbleed" /></p>

<h4 id="wait-where-am-i">Wait, where am I?</h4>

<p>In case you forgot: In theory you signed up <a href="https://craigmod.com">on my website</a> for this 4,500 word newsletter full of photos of my just-risen-from beds from my recent big <a href="https://www.wired.com/story/six-weeks-100s-miles-hours-glorious-boredom-japan/?verso=true">walk</a>, sent (mostly) monthly by <a href="https://craigmod.com">Craig Mod</a>.</p>

<p>Did you sign up on Ambien? Did an adversary enter your email vindictively? Just want to get off this bus? <unsubscribe>Unsubscribe with one click.</unsubscribe></p>

<p>For those of you here voluntarily and happily, I have another newsletter you might also enjoy: <a href="https://craigmod.com/ridgeline/"><em>Ridgline</em></a>. Weekly, on walking and Japan.</p>

<hr />

<p><img src="https://craigmod.com/roden/img/028/bed-07.jpg" alt="Bed 07" style="width: 100%; height: auto;" class="fullbleed" /></p>

<h4 id="book">Book</h4>

<p><a href="https://www.amazon.com/dp/B07H72LJ5V/"><em>On Earth We’re Briefly Gorgeous</em></a> is an exceptional novel by the poet (and now novelist) Ocean Vuong. It came out a little over a month ago and it falls right into my wheelhouse of novel love: It’s lyrical without slipping into pretension. It manages to pull off some acrobatic poetry partway through and stick the landing. It gazes into the saturnine gloom of Hartford and pulls from it a limpid coming-of-being story. A Vietnamese-American Bildungsroman that spans time and geography and generations. It’s just … really freggin’ good.</p>

<hr />

<p><img src="https://craigmod.com/roden/img/028/bed-08.jpg" alt="Bed 08" style="width: 100%; height: auto;" class="fullbleed" /></p>

<h4 id="linking-emails-affiliates">Linking, emails, affiliates</h4>

<p>That link above is to the US Amazon page for Ocean’s book. There’re a a great many of you reading this. My goal in pointing to a book like <em>On Earth We’re Briefly Gorgeous</em> is to shine a light on something wonderful and help the author a) be seen, and b) sell books. I normally link to Amazon because I think it has the least amount of friction for most to buy a book. 50% of you reading this are US based. So statistically speaking, you’re more likely to have an Amazon account, a Kindle, etcetera, and therefore the friction between seeing the book and clicking “buy” goes down significantly. Politics or capitalist issues aside, I feel this is most helpful to the author.</p>

<p>Related: The above link is not an affiliate link. It turns out <a href="https://amylynnandrews.com/do-not-put-amazon-associates-links-in-emails/">Amazon doesn’t allow affiliate links in emails</a>. If an email lives online as a webpage, the webpage can have affiliate links. But in email form, no links. This sort of makes sense — a good racket would be spam-bombing the world with affiliate links for any random, popular object. That said, you’d think Amazon would allow for the whitelisting of well-intentioned actors and their newsletters. (They have an &ldquo;influencers&rdquo; program, but joining it doesn&rsquo;t grant you blanket affiliate-linking privileges.)</p>

<p>I didn’t know any of this until Amazon issued what amounted to a cease a desist on my affiliate account: “We see you’re linking in emails. Stop within three days or your account will be terminated.” That sort of thing. <em>It&rsquo;d be a shame if something happened to your pretty little shop.</em></p>

<p>Years ago I made exceedingly decent amounts of money from affiliate links (the camera reviews are the biggest drivers of affiliate income). But those were all on my website. Ergo, fair game. Most years I make enough off recommending books in these emails to upgrade my computer. That income stream just disappeared.</p>

<p>But: I&rsquo;d much rather focus on <a href="https://craigmod.com/membership/">growing memberships</a> than figuring out ways to contort myself around affiliate links.</p>

<p>This kerfuffle gave me reason to reconsider if I even <em>wanted</em> to be linking to Amazon in the first place. Maybe it’s not the best option. And maybe it’s a little self-fulfillingly defeatist to assume it’s the best way for most people to get books.</p>

<p>I’d love to hear your feedback: <br /><strong>What’s the most useful way to point to books online?</strong></p>

<hr />

<p><img src="https://craigmod.com/onmargins/img/010-cover.jpg" alt="Clock" style="width: 100%; height: auto;" class="fullbleed" /></p>

<h4 id="on-margins">On Margins</h4>

<p>The latest <em>On Margins</em> is live: <a href="https://craigmod.com/onmargins/010/">An interview with book designer Jon Gray (Gray318)</a>. Jon is a gracious human. Be lulled and bedazzled by not only his gentle voice, but also his incredible backlist of book covers.</p>

<p><a href="https://craigmod.com/onmargins/010">Episode 10</a> has a full, illustrated transcript, as usual.</p>

<p>Jon candidly elucidates the many failures and screwups he&rsquo;s endured over his two+ decades of designing. For one cover in particular:</p>

<blockquote>
<p>We’ve laid down the tape, masked off an area, and then thumbprint over the top. After about the, I don’t know … This one was too Christmasy, apparently. This one was not bright enough. After a while, I got to the stage where my thumbs were all broken and there was no print coming out. Someone in the studio said, “Oh, have you never thought of just getting a rubber stamp?” Then there was that moment of like, “Oh, you idiot.” She said, “Oh, actually, I think I’ve got one.” So, she lent me a rubber stamp of some thumbprint. Anyway, we did hundreds of these. As I said, this cover went on for a year.</p>
</blockquote>

<p>A year! For one cover! Obviously there’s some parallel designing going on, too, but for anyone who thinks the pros just “knock stuff out” effortlessly, it’s encouraging to hear that <em>even</em> for someone as talented as Jon, the struggle is real.</p>

<hr />

<p><img src="https://craigmod.com/roden/img/028/bed-12.jpg" alt="Bed 12" style="width: 100%; height: auto;" class="fullbleed" /></p>

<h4 id="newsletters-forever">Newsletters forever?</h4>

<p><a href="https://substack.com/">Substack</a>, the paid-newsletter platform, just <a href="https://techcrunch.com/2019/07/16/substack-series-a/">raised $15 million dollars</a>. Because our society is obsessed with money as a proxy for success, we take these rounds <em>ipso facto</em> to be positive or indicative of health. I am skeptical by default whenever a company raises money (more on that below), but it can be a good excuse to reflect on their work.</p>

<p>Substack has become a great consumer startup archetype in the the following ways:</p>

<ol>
<li>Run an actual business. I.e., sell something tangible: subscriptions (as opposed to user data).</li>
<li>Make a habit out of burdensome / unscalable work. Substack co-founder Hamish McKenzie has been cold emailing writers like his hair’s on fire for years. <em>&ldquo;We&rsquo;d love to have you on Substack!&rdquo;</em> He adoringly pesters, prods, pokes, and eventually gets smart folks to sign up. This would be annoying if it ended there, but then the magic: He&rsquo;s successfully transitioned a number of previously unpaid newsletters into non-trivial cash generators. He emailed me ages ago, but because I am a nerd, and have Design Opinions, I like to roll my own stuff. (I do wonder, though, from time to time, if it would have made more financial sense to have launched <em>Ridgeline</em> on Substack.)</li>
<li>Small modifications to existing systems can have a big impact. Substack is — to be <em>extremely</em> reductive — paywalled blogging software that sends out an email notification. But the framing of Email First, building up the brand (“I just launched my Substack, because everyone else has one!” is a sentence I read today), and getting good writers onboard early, has paid off handsomely.</li>
</ol>

<p>$15 million — it should be said — isn’t a ton of money in the world of VC. But it&rsquo;s <em>just</em> enough to be concerning. They closed the deal in a week. It involved a dinner with Marc Andreessen. I know what those dinners are like. I&rsquo;ve been to them. They&rsquo;re breathless. They are hype machines. They&rsquo;re FUN. They get you pumped. And they are most certainly not connected to any reality you or I know. (Not saying wild goals that require buckets of capital aren&rsquo;t good, but I find them more inspiring at institution like CERN rather than in the muck of consumer tech.)</p>

<p>Generally: No startup should raise a tub of bucks <em>just</em> because a VC is willing to give them a high valuation. Ideally: They have a clear plan. Then they raise. This Substack raise is — as far as I can tell — the inverse. Money came knocking, now they&rsquo;re figuring out the plan.</p>

<p>Startups sometimes take more capital than they need because they&rsquo;re &ldquo;hot&rdquo; and venture firms are clamoring to &ldquo;get in on the action&rdquo; and it drives the valuation up, making the money &ldquo;look cheap,&rdquo; and thereby incentivizes otherwise clear-eyed and rational founders to bite off more than they their market will chew. The worst case scenario for a platform (because Substack <em>is</em> a platform; Substack is Medium Lite in some ways (and Medium may very well be a potential acquisition target)) like Substack is: Over-raise, be forced to hit an impossible valuation, completely ruin the product in the process.</p>

<p>I don&rsquo;t think Substack has over-raised, but they have raised themselves into a corner.</p>

<p>Hamish and co. aren’t disclosing the valuation of the round. All they’ve disclosed is 50,000 paying subscribers. The minimum subscription is $5/mo. So that’s at least $3,000,000/yr+ gross revenue. Substack cut is 10%: at least $300,000/year in net, without taking into account employee salaries, server costs, maintenance, etc. That&rsquo;s OK but not great, and they may find this %-split doesn&rsquo;t hold up in the long run.</p>

<p>Ben Thompson interviewed the co-founders of Substack <a href="https://stratechery.com/">in his own paid newsletter</a>, just the other day. It&rsquo;s behind a paywall. I&rsquo;ll quote just a little bit for you all.</p>

<p>On helping writers properly value themselves:</p>

<blockquote>
<p>Something else we did early on actually is we set a minimum. We found that a lot of writers had no idea what to charge at all, and their instinct was to really underprice. People would be like “Do you think I could charge four bucks a year?” or ten cents an article or some sort of crazy thing, so right out of the gate we set a minimum of five bucks a month, in part to focus ourselves, because we only want to be working on stuff that’s really worth something to people.</p>
</blockquote>

<p>This is good. Valuing one&rsquo;s own work is a crushing exercise in ego dissolution. Any outside help is welcome.</p>

<p>Also mentioned in the interview, something I hadn&rsquo;t before noticed / processed: Substack will allow anyone with a newsletter of <em>any size</em> to publish for free! 1,000, 10,000, 100,000 subscribers. Free. I pay Campaign Monitor roughly <strong>$2,000 a year</strong> to run my newsletters. That&rsquo;s just to send emails! In theory, I <em>could</em> transfer all of my lists to Substack and pay nothing. That&rsquo;s … tempting. (Although I lose all sorts of design control.) Does this make business sense? Thompson asks:</p>

<blockquote>
<p>Do you think you can earn a sufficient return particularly supporting all these freemium offerings, if you have somebody that comes on your platform with tens of thousands of subscribers on an email list for which they’re paying Mailchimp two hundred dollars a month and you’re giving it to them for free, do you think that’s a sustainable number?</p>
</blockquote>

<p>And they respond:</p>

<blockquote>
<p>We think it is. Sending email is way cheaper if you’re a developer than it is if you’re an end user, this is just one of these weird arbitrage things. It’s a little bit of a tangent, but the price that you pay for emails to a Mailgun or a SendGrid or if you want to do your own email, is many orders of magnitude less than what you pay if you’re a consumer that goes to Mailchimp, which is a nice feature for us. I think that we can charge more in the future if we have ways to add even more value and I think the clearest way we can do that if we can get you marginal subscribers.</p>
</blockquote>

<p>The main reason folks like me pay for Campaign Monitor or Mail Chimp is deliverability. When you&rsquo;re sending to tens of thousands of subscribers, it&rsquo;s easier (theoretically) to land in an inbox via an established entity than by sending on your own. Also, the logistics of sending that many emails is complicated. In theory: You can run <a href="https://www.phplist.org/about/">open source newsletter software</a> on your own server, use your own mail servers, and pay very little, but the setup and maintenance is non-trivial. Substack is leaning on this &ldquo;arbitrage&rdquo; opportunity, as they call it. That&rsquo;s smart. And if monetization is literally just flipping a switch, then that&rsquo;s a seductive switch to have nearby.</p>

<p>BUT. As Thompson points out in his follow-up newsletter:</p>

<blockquote>
<p>To be clear, I believe this business model works, and for more people than myself; however, is supporting people like me a $150 million business, which would give Andreessen Horowitz its 10x return? I’m not so sure, particularly since any moves to maximize Substack’s revenue run the risk of losing its most profitable publishers out the top. I do think it is a reasonable bet by Andreessen Horowitz, but then again, their default position is that most of their investments will not generate that 10x return.</p>
</blockquote>

<p>He then updated this note the next day:</p>

<blockquote>
<p>First, I noted that Substack would have to become a $150 million company to earn Andreessen Horowitz a 10x return; actually, Substack would have to increase their valuation — which they didn’t disclose — by 10x. To pick a number out of thin air, if Substack is now valued at $50 million, it would have to become a $500 million company.</p>
</blockquote>

<p>I like that Substack has a very boring, very real business model. But Substack will have to change significantly to hit a $150m (or $500m; at a certain point this becomes blurily large, either of those numbers is means a total change of business) target. And when businesses change in valuation-driven ways it&rsquo;s often towards complexity and (in the case of publishing startups) reader-hostility.</p>

<p>Substack seems like a perfect $20-$50M business. Focused squarely on achieving their core goal of empowering individual writers, giving them tools to publish, and making subscriptions around those publications friction-free and effortless. In some ways, Substack is a do-over on Arment&rsquo;s <a href="https://marco.org/2012/10/11/the-magazine"><em>The Magazine</em></a> model, a couple-degree shift on what the old Apple Newsstand promised. But it&rsquo;s simpler, more naturally integrated with reader and writer workflows, and built on <a href="https://craigmod.com/essays/newsletters/">open-network</a> tools (email!).</p>

<p>In the publishing industry some of the smallest players have the biggest impacts. Graywolf publishes translations that the bigger houses won&rsquo;t touch (<em>Out Stealing Horses</em> comes to mind). The smaller pubs can take bigger risks on poetry and Lit with a capital L. Pulitzer Prize winner, <em>Tinkers</em>, was put out by the tiny Bellevue Literary Press. Many are non-profit. Part of me wishes there was more of a trend in the startup world to build sustainably small, single-serving, hyper-focused, <em>culturally-impactful</em> businesses.</p>

<p>Well, in the case of newsletters, we have one! If you are looking for an Indie Solution to paid newsletters, check out <a href="https://buttondown.email/">Buttondown</a>. They also have a newsletter subscription model (on top of the usual free newsletter option). The service is run by one person. The <a href="https://www.notion.so/639bdb37786e489a960d4810ee6ce351?v=58ef759254094357bdb04d715e9c518b">product roadmap</a> — as well as <a href="https://buttondown.email/running-costs">running costs</a> — is online. I&rsquo;d go so far as to call it the natural successor to TinyLetter. It&rsquo;s of that ethos but … better in every way. (<a href="https://jmduke.com/">Justin</a>, the dude who runs it, also seems like a lovely human and is a damn fine writer, too. He, the mythical beast who both writes-well <em>and</em> engineers-well!)</p>

<hr />

<p>Good god, I didn&rsquo;t expect to write this much about newsletters. But newsletters are strangely important (culturally, politically, philosophically) right now. Maybe this all make a little more sense?</p>

<p>Anyway — tools that helps writers lean on open infrastructure to write freely, without click-bait headlines, and without reliance on ad models are, I believe, good for us all. Here&rsquo;s to hoping Substack puts their new cash to healthy use.</p>

<hr />

<p><img src="https://craigmod.com/roden/img/028/bed-16.jpg" alt="Bed 16" style="width: 100%; height: auto;" class="fullbleed" /></p>

<h4 id="megapixels">Megapixels</h4>

<p>What does 102 megapixels get you? <a href="https://petapixel.com/2019/07/18/this-crop-shows-the-crazy-resolution-of-the-102mp-fujifilm-gfx100/">Mega cropping</a>.</p>

<p>Forthcoming iPhones to have <a href="https://www.macrumors.com/2019/07/18/hands-on-2019-iphone-dummy-models/">three lenses</a>. Three tiny lenses don&rsquo;t resolve to a single 102 megapixel sensor, but interesting algorithmic capabilities begin to emerge; what that GFX100 is doing and what the iPhone will eventually do, might not be too distant from one another.</p>

<p>Camera technology improvements are my favorite part of iPhone updates.</p>

<hr />

<p><img src="https://craigmod.com/roden/img/028/bed-10.jpg" alt="Bed 10" style="width: 100%; height: auto;" class="fullbleed" /></p>

<h4 id="beds">Beds</h4>

<p>These were some of my beds from the Long Walk. <a href="https://craigmod.com/roden/027">Last issue</a> you got clocks. This issue, beds.</p>

<p>I&rsquo;d wake up, roll out of the (usually) futon. And take the shot. I slept in strange little inns, <em>minshuku</em> (essentially homes that offer a room), odd hotels themed around John F. Kennedy, guest-houses — almost every permutation of lodge you can imagine. I had a system, a method for achieving some semblance of sameness between the many different rooms: I slept with earplugs and an eyemask, and on my computer, I played a white noise app. You&rsquo;d be amazed at how powerful white noise is for drowning out almost all other sounds in the world.</p>

<p>Were you to walk past my room on some evening, somewhere in the countryside of Japan, and hear a faint <em>hissssss</em> sound, then you knew I was deep in slumber.</p>

<hr />

<p>OK — ready for a big essay on Speedy Software? I thought so:</p>

<hr />

<p><img src="https://craigmod.com/roden/img/028/bed-13.jpg" alt="Bed 13" style="width: 100%; height: auto;" class="fullbleed" /></p>

<h4 id="never-fast-enough">Never fast enough</h4>

<p>I love <em>fast</em> software. That is, software speedy both in function and interface. Software with minimal to no lag between wanting to activate or manipulate something and the thing happening. Lightness.</p>

<p>Software that’s speedy usually means it’s focused. Like a good tool, it often means that it’s simple, but that’s not necessarily true. Speed in software is probably the most valuable, least valued asset. To me, speedy software is the difference between an application smoothly integrating into your life, and one called upon with great reluctance. Fastness in software is like great margins in a book — makes you smile without necessarily knowing why.</p>

<hr />

<p>One of my most used, most speedy pieces of software is <a href="https://brettterpstra.com/projects/nvalt/">nvALT</a>. It’s an oddly named, very bland application. Just a database of plain text files with a plain text editor bolted on. But it’s fast. The fastest piece of text cataloging software I’ve used. It opens instantly and produces results instantly. My nvALT database is full of ten years of notes. Open it and your cursor is already in the search field. It is keyboard friendly software: If you’re ever not in the search field, just hit ESC, and you’ll land there. Type a few letters and all the notes with those letters appear. It is the best instantiation of an off-board brain I have. Any piece of text with value in my life gets dumped into nvALT.</p>

<p>nvALT syncs with <a href="https://simplenote.com">Simplenote</a>. This is handy because nvALT is macOS only. So you can use the Simplenote iOS app to keep your extra brain nearby on the go. Simplenote also has a macOS app. You may think: Why not use the Simplenote desktop application? Because — it’s not <em>quite</em> as fast. We’re talking milliseconds, but it’s enough that you <em>feel</em> the difference. It’s the difference between the <a href="https://www.youtube.com/watch?v=TD2XGwmRJi8">$1000 Japanese garden shears</a> and the $150 garden shears. They both cut just fine, but if you work in the garden all day, you will (probably?) feel the difference.</p>

<hr />

<p>I write mainly in <a href="https://ulysses.app/">Ulysses</a>. Even now, I’m writing this in Ulysses. Ulysses works well for organizing large-ish bodies of writing. The organization is mainly why I use it. But it can slow down. Ulysses has slowed down on a number of occasions. If I have a 5,000 word article and type towards the top of it, it sometimes can’t keep up with my typing. It re-renders the whole thing with each keystroke. This drives me bonkers. But the organization and simplicity of the application outweigh this sometimes-slowness. Still, the slowness feels indicative of unseen rot on the inside of the machine. The slowness is like an off smell. I don’t trust the application as much as I would if it didn’t slow down on such a small text file. 5,000 words is nothing. Faith is tested: It makes me wonder how good the sync capabilities are. It makes me wonder if the application will lose data.</p>

<p>Speed and reliability are often intuited hand-in-hand. Speed can be a good proxy for general engineering quality. If an application slows down on simple tasks, then it can mean the engineers aren’t obsessive detail sticklers. Not always, but it can mean disastrous other issues lurk. I want all my craftspeople to stickle. I don’t think Ulysses is badly made, but I am less confident in it than if it handled input and interface speed with more grace. Speed would make me trust it <em>more</em>.</p>

<p>As a counter example, <a href="https://www.sublimetext.com/">Sublime Text</a> never slows down for me. I can throw a 50,000 <em>line</em> file at it and it zips along. You may wonder why I don’t write in Sublime Text (as I sometimes wonder). And the answer is: It’s just not quite <em>nice</em> enough for full composition. Sublime&rsquo;s typography, spell check, file organization (no keywords, inability to organize order willy-nilly, etc)
— just not as refined. Sublime Text is optimized for code, not words. Whereas Ulysses is word-focused. The difference is subtle but meaningful. That said, Sublime Text has — in my experience — only gotten faster. I love software that does this: Software that unbloats over time. This should be the goal of all software. The longer it’s around, the more elegant it should become. Smooth over like a river stone. I have full trust in the engineering of Sublime Text because I’ve used it for over a decade, but also because it always feels like a fast, focused tool (even though it’s actually very complicated) and has only become faster the longer I&rsquo;ve used it.</p>

<hr />

<p>Adobe Lightroom does not feel like a fast, focused tool. Nor does Photoshop. At one point, they did. It’s why I chose them. Photoshop in the 90s was very fast. I don’t think I’m invoking some halcyon fantasy. It was truly a sparky piece of code. Similarly, I started using Lightroom around 2007 because it was so much faster than Apple’s Aperture. But Aperture is gone and Lightroom has not smoothed out over the years. Lightroom is a gangly blob, with lots of dull, slow edges. Why can’t it get faster? This is a mystery for the ages, but I suspect it’s because of sub-optimal core engineering. Is this why Adobe released Lightroom CC? Probably. It’s sometimes easier to make a new program than to fix the old one.</p>

<p>Photoshop is now a turkey. Just opening the new file dialog in Photoshop takes seconds. Seconds to create a new, blank file. In 2019. If you press <span class="sc">cmd-opt-shift-w</span> to export an image, it takes 3-5 seconds to load that screen. (And if you accidentally press cmod-opt-w, it closes all your windows.) Slower and slower with each release. It’s why I spent money on <a href="https://affinity.serif.com/en-gb/photo/">Affinity Photo</a>. Simply for speed. That’s it. I still pay for a Creative Cloud license (for Lightroom and InDesign mainly), but I <em>happily</em> paid for Affinity — a vote with dollars — because it’s so fast, and especially fast at exporting files for web consumption. I sigh — actually sigh — whenever I have to open Photoshop.</p>

<hr />

<p>One could argue that design apps like <a href="https://www.sketch.com/">Sketch</a> have grown in popularity because of speed. Sketch was so much faster, simpler, and more UX design focused than most anything Adobe offered when it was released. It had reliability issues, but we were willing to overlook them because it was, once again, just <em>fun</em> to use. In this way, speed can be tremendous commercial asset. When it comes to software that people live in all day long, a 3% increase in fun should not be dismissed.</p>

<p><a href="https://www.figma.com/">Figma</a> is another design tool in the vein of Sketch or Illustrator. In spite of being browser based, Figma is so fast that I laugh from delight whenever I use it. It feels precisely as fast as everything should be on a contemporary computer — which is, extremely. It feels loved. I know the engineering and design teams behind it and I know it <em>is</em> loved. It is built from a position of craft. Close-to-the-metal craft. And you feel it. Not only in speed as speed, but speed as intuitiveness. That is: The tools work more sensibly than the same tools in, say, Illustrator. The <a href="https://medium.com/@rajipurcell/figma-a-solid-ui-design-app-thats-finally-improved-the-pen-tool-6103fa7a64b3">pen tool</a> for example. In Figma the pen tool operates from a position of rationality. In this sense, “speed” manifests not only in work per computer cycle, but work per user cycle.</p>

<hr />

<p>Google Maps is dying a tragic, public death by a thousand cuts of slowness. Google has added animations all over Google Maps. They are nice individually, but in aggregate they are very slow. Google Maps used to be a fast, focused tool. It’s now quite bovine. If you push the wrong button, it moos. Clunky, you could say. Overly complex. Unnecessarily layered. Perhaps it’s trying to do too much? To back out of certain modes — directions, for example — a user may have to tap four or five different areas and endure as many slow animations.</p>

<p>Google Maps has gotten so slow, that I did the unthinkable: I reinstalled Apple Maps on my iPhone. Apple Maps in contrast, today, is downright zippy and responsive. The data still isn&rsquo;t as good as Google Maps, but this a good example of where slowness pushed me to reinstall an app I had all but written off.</p>

<hr />

<p>For the absolute nadir of software clunkery, see exhibit a) iTunes. So slow, so laden, so burdened with being more than it ever was supposed to be that Apple decided to just throw it in the toilet, <a href="https://www.macrumors.com/2019/05/31/goodbye-itunes/">reconstitute it as a series of individual applications</a>. Which is most certainly the best choice to have been made.</p>

<p>But why is slow bad? Fast software is not always good software, but slow software is rarely able to rise to greatness. Fast software gives the user a chance to “meld” with its toolset. That is, not break flow. When the nerds upon Nerd Hill fight to the death over Vi and Emacs, it&rsquo;s partly because they have such a strong affinity for the flow of the application and its meldiness. They have invested. The Tool Is Good, so they feel. Not breaking flow is an axiom of great tools.</p>

<p>A typewriter is an excellent tool because, even though it&rsquo;s slow in a relative sense, every aspect of the machine itself operates as quickly as the user can move. It is focused. There are no delays when making a new line or slamming a key into the paper. Yes, you have to put a new sheet of paper into the machine at the end of a page, but that action becomes part of the flow of using the machine, and the accumulation of paper a visual indication of work completed. It is not wasted work. There are no fundamental mechanical delays in using the machine. The best software inches ever closer to the physical directness of something like a typewriter. (The machine may break down, of course, ribbons need to be changed — but this is maintenance and separate from the use of the tool. I’d be <em>delighted</em> to “maintain” Photoshop if it would lighten it up.)</p>

<hr />

<p>Speed manifests in the language — the literal words — of software, too. In recent years, macOS dialogs for closing an unsaved file have shifted from “Don’t Save, Cancel, Save” to “Delete, Cancel, Save.” This is only my opinion, but “Delete, Cancel, Save” makes less sense than “Don’t Save, Cancel, Save.” The option to “delete” implies something as having once been saved. Did I save this and forget I saved it? Or did it auto-save? I don’t know. Shake it any which way you like, I am still tripped up seeing this dialog when I close an unsaved file. It slows me down. Pressing delete feels violent. <em>Delete</em>. So final. I second guess — maybe I don’t want to delete? Maybe I <em>do</em> want to save. When, no, I just wanted to “Don’t Save.”</p>

<hr />

<p>I am using the iPadOS 13 beta on my iPad. It has one new interface component in particular that is extremely fast and delightful: the so-called &ldquo;Slide Over.&rdquo; Just swipe from the right and — <em>sloop</em> — an app float-over appears. The floating app is a mini-version of a big app and appears as quickly as you swipe. It feels satisfying. You move your finger and — instantly — there is the tiny app under your finger. Swipe back and it is gone. No “redrawing” of the screen. At the bottom of the tiny app is a small bar. Swipe the bar and the mini apps cycle. They cycle with a fast, beautiful animation that indicates where you&rsquo;ve been and where you&rsquo;re going. It&rsquo;s an animation with purpose and that purpose is context iteration. It feels tactile. Excellent touch interfaces feel tactile. The best &ldquo;touch interfaces,&rdquo; in my opinion, are actual buttons, things with physicality, haptics. But on a screen, to feel tactile is to move without latency.</p>

<p>From a speed and user experience point of view, I believe this Slide Over to be <em>vastly</em> superior to the screen-split on the iPad. The screen-split is slow. You have tap, hold, drag, wait for the screen to “redraw” itself, for the apps to shimmy-blink into their new sizes. The screen-split feels like it controverts the code under the hood. Contrast this with the Slide Over. The Slide Over feels like a natural extension of the iPad environment. It is quickly and reliably invokable. It is predictable. It feels like its code is moving in natural synchronicity with the disposition of the device. <em>And</em> with a speed commensurate to the power lurking under the glass. The screen-split could work, but the foundation code probably needs to be rewritten. Ideally it would be as smooth and fast as the Slide Over. It would be like cutting an unnecessary branch with $1,000 shears.</p>

<hr />

<p>I can go on and on. But let&rsquo;s end with an example of a piece of iOS software that is pure craft: <a href="https://apps.apple.com/us/app/things-3-for-ipad/id904244226">Things</a>. Things on iPad and iPhone is one of the most tactile, fast-as-you-can-move apps around. Each animation is purposeful. Mainly, it is <em>fun</em>. It’s a fun app to be in. To put stuff into, to rearrange. It is old. Things has been around for over ten years. I was glad to open it ten years ago, and I am glad to open it today.</p>

<hr />

<p>It feels — intuitively — that software (beyond core functionality) should aim for speed. Speed as a proxy for efficiency. If a piece of software is becoming taurine-esque, unwieldy, then perhaps it shouldn&rsquo;t be a <em>single</em> piece of software. Ultimately, to be fast is to be light. And to be light is to lessen the burden on someone or some task. This is the ultimate goal: For our pocket supercomputers to lesson burdens, not increase them. For our mega-powered laptops to enable a kind of fluency — not battle, or struggle — of creation.</p>

<p>All that said: It’s easy to write an essay about fast software. It’s difficult to make fast software. But when it&rsquo;s made, we&rsquo;re all grateful.</p>

<hr />

<p><img src="https://craigmod.com/roden/img/028/bed-04.jpg" alt="Bed 04" style="width: 100%; height: auto;" class="fullbleed" /></p>

<p>OK … That was approximately 8x longer than expected!</p>

<p>Still there? Reminder — NYC, August 8th, giving a little talk. Very informal — walks, Japan, walking history, SMS publishing, one-off books … that sort of thing. Grab a ticket here (mainly so we know how many are coming):</p>

<p><a href="https://peatix.com/event/885437/">https://peatix.com/event/885437/</a></p>

<p>Hope to see a few of you at the Yale Publishing Course in a week!</p>

<p>As always, thanks for following along.</p>

<p>C</p>

<hr />

<p><a href="https://craigmod.com/membership/"><img src="https://craigmod.com/roden/img/028/bed-14.jpg" alt="Bed 14" style="width: 100%; height: auto;" class="fullbleed" /></a></p>
