title: Les élites et le numérique
url: http://authueil.org/?2014/01/02/2224-les-elites-et-le-numerique
hash_url: 5c6caf8f63314b12f816deb2c6e585e8

<p>Un article du Monde "<a href="http://abonnes.lemonde.fr/technologies/article/2013/12/26/les-elites-debordees-par-le-numerique_4340397_651865.html">les élites débordées par le numérique</a>" a fait couler beaucoup d'octets pendant ces fêtes. L'article est long, touche un sujet sensible, il n'a donc pas manqué d'intéresser. Il n'a pas manqué non plus de susciter des <a href="http://blogs.rue89.com/les-coulisses-de-wikipedia/2014/01/01/internet-va-t-il-vraiment-deborder-les-elites-232011">critiques</a> et des <a href="http://laspic.hypotheses.org/2082">réponses</a>, preuve que la question interpelle.</p>


<p>Le principal tort de cet article est d'avoir visé trop large. Avec cette question, on fait un bouquin, minimum. Un article, même long, n'est absolument pas le bon format. Il y a donc de grosses faiblesses conceptuelles, et un nombre de témoignages insuffisant pour faire le tour de la question. Mais au moins, il a lancé le débat, et c'est déjà bien.</p>


<p>L'idée qui ressort de cet article est que les élites sont débordées par le numérique. Je suis beaucoup plus circonspect...</p>


<p>Le premier point qui me laisse circonspect, c'est la fameuse "culture" qui est née d'internet, et qui serait horizontale, quand celle des élites est verticale. A observer les usages, j'ai quelques doutes sur la profondeur de cette nouvelle culture numérique. Elle concerne un petit noyau socialement très typé, ceux qui sont réellement actifs sur les réseaux sociaux pour faire autre chose que consommer des "produits culturels". Pour beaucoup, internet, c'est pratique, ça permet de faire ses démarches, d'acheter en ligne (donc de ne pas avoir à se déplacer) et de papoter. Mais de là à dire que toutes ces personnes qui utilisent internet sont imprégnés de cette nouvelle culture, c'est aller trop loin.</p>


<p>Je n'ai jamais vraiment cru à toutes ces foutaises de "génération Y" et autres digitals natives. Ces jeunes sont effectivement très bon techniquement pour manipuler ces nouveaux jouets. Mais pour en faire quoi ? pour construire quoi ? La majorité des profils facebook de cette fameuse génération Y sont absolument désolants de banalité, si ce n'est de bêtise. Il ne faut pas trop se prosterner devant la technique. Derrière les claviers, il y a toujours des humains que le numérique rend mieux informés, mieux connectés sans doute, mais pas meilleurs pour autant.</p>


<p>Il y a certes une acculturation par le biais, notamment, des réseaux sociaux. Pour observer de très près la classe politique, elle aussi bien acculturée que le reste de la population. On a de gros geeks et des réfractaires au numérique dans les mêmes proportions, globalement, que l'ensemble de la population. Ceux qui sont "hors normes" et donc réellement coupés des autres, ce sont justement ceux qui érigent cette "nouvelle culture du numérique" en horizon indépassable, l'avant-garde révolutionnaire que tous finiront par rallier.</p>


<p>Je ne suis pas du tout certain, d'ailleurs, que l'on se dirige vers un horizon aussi radieux. Ces derniers temps, un <a href="http://www.slate.fr/monde/80483/nous-avons-tue-notre-internet">véritable blues</a> traverse la communauté des hackers et du logiciel libre, ceux qui croient à l'internet libre et ouvert. Ils se rendent compte qu'ils ont perdu beaucoup de bataille et que le fameux "minitel 2.0" <a href="http://www.fdn.fr/internet-libre-ou-minitel-2.html">théorisé par Benjamin Bayart</a> est en train de se mettre en place. Les grandes entreprises du net quadrillent la toile et n'ont rien de libertaire. Elles sont même tout disposées (si cela ne dérange pas trop le business) à collaborer pleinement avec les élites pour qu'elles puissent contrôler et réguler internet. Regardez donc les évolutions de youtube, qui est passé d'un joyeux bazar créatif d'amateurs, à une machine à diffuser des clips professionnels. Le premier souci y est devenu la chasse aux contrefaçons.</p>


<p>Tant qu'internet est un endroit sympathique, mais ne pesant rien en terme de business et ne concernant qu'une communauté assez réduite de jeunes urbains friqués, les élites s'en désintéressent globalement. Ce n'est plus le cas le jour où la majorité du commerce est en train de basculer sur les réseaux. Les "élites" débarquent alors et prennent le contrôle. Ils en ont les moyens, puisqu'ils ont l'argent et le pouvoir d'édicter des lois. Ma crainte est plutôt, dans les prochaines années, que ce soit le numérique qui se retrouve débordé et mis sous tutelle par de puissants intérêts financiers et politiques. "Verticaliser" internet ne posera aucun problème de conscience aux "élites" et le bon peuple y trouvera son compte, car ses usages, finalement très "verticaux" ne sont pas touchés, et en plus, on lui garantira que les effets secondaires indésirables de la liberté (les pédonazis pédophiles) vont disparaitre.</p>


<p>Si certains peuvent parfois être bousculés par des usages nouveaux permis par le numérique, cela ne remet pas en question le pouvoir de cette fameuse "élite". Cela peut tout au plus la déstabiliser, ou plutôt déstabiliser certains, au profit d'autres. Finalement, cet article, c'est un peu l'expression de la pensée d'une certaine partie de l'élite, jeune et urbaine, qui espère qu'en imposant leurs schémas culturels qu'ils disent "issus du numérique", ils pourront ringardiser une autre partie de l'élite, plus âgée et moins habile à manier les outils. Et donc leur piquer leur place...</p>
