title: Pire to pire : le fantasme de la perfection sociale
url: http://blogfr.p2pfoundation.net/index.php/2016/06/12/pire-to-pire-fantasme-de-la-perfection-sociale/
hash_url: 6b2a47e4bc72116eeb374ade6a98a225

<p>Décentralisation, distribution, <em>peer-to-peer</em>, <em>blockchain</em> : on assiste à un déferlement de termes censé ouvrir un nouvel horizon de libertés individuelles et collectives. Pourtant, quelque chose cloche dans les discours et un frisson me parcourt souvent l’échine à l’écoute de certaines vidéos ou à la lecture de certains articles…</p>
<p>Car cette liberté retrouvée semble à tout prix devoir être mise au service d’un but « noble » qui serait une espèce d’efficacité sociale, et d’une rationalisation de nos comportements. Il semble acquis que si « nous » communiquons mieux, et sans intermédiaires pour nous en empêcher, « nous » arriverons plus rapidement au but. Mais lequel ? Et qui est ce « nous » ? Tout se passe comme si, effrayés par l’autonomie à laquelle ils sont peut-être en train d’accéder, les chantres de la décentralisation inventent en même temps la méta-organisation qui remplacera la figure du père, à défaut de savoir s’en passer.</p>
<p>Le passage d’un système fondé sur la confiance en l’humain vers un système fondé sur la preuve (où la confiance est déléguée à la technologie) semble ainsi pouvoir panser toutes les plaies, éviter toutes les trahisons, désillusions, imperfections… et l’on imagine que ce système parfait, à la fois incorruptible et incontrôlable, rendra nos vies meilleures et nous mettra à l’abri des tricheurs, des abuseurs et des voleurs.</p>
<p>En pensant la gouvernance comme un simple moyen horizontal permettant de se coordonner sans être contrôlé par personne, les défenseurs de ces nouvelles technologies en oublient parfois l’étymologie même du terme : celui qui gouverne, c’est celui qui indique la direction, qui donne un sens, qui guide. Ils défendent donc avec ardeur un système qui va aider à coordonner les mouvements des rameurs de la galère, sans considérer que si le projet social de la-dite embarcation diffère de ce qu’ils ont imaginé, ils sont en train de fabriquer eux-mêmes l’instrument de leur propre aliénation : une boussole autogène !</p>
<p>On en arrive à des propositions dites « démocratiques » entièrement basées sur la machine, où l’évaluation du nombre et de la qualité des contributions individuelles deviendrait une monnaie d’échange universelle et infalsifiable. On imagine même que les individus pourraient participer aux prises de décisions de façon proportionnelle à leurs contributions. Le bon vieux système de bons points remis au goût du jour ! Tant pis pour ceux qui ne souhaitent ou ne peuvent pas contribuer ? Tant pis si nous devenons esclaves de notre propre auto-évaluation ? La vie deviendrait un grand jeu vidéo où je chercherais à accumuler plus d’étoiles sur mon profil que le voisin pour gagner des points de gouvernance ou de rétribution ?</p>
<p>En voulant s’affranchir de la tyrannie humaine, en la considérant comme incarnée par certains individus seulement – et en se considérant implicitement comme plus « vertueux » qu’eux, on est en train de la remplacer par une tyrannie invisible, impossible à identifier, impossible à dénoncer, parce qu’on a oublié que dans l’expression « <em>tiers de confiance</em>« , les deux termes ont leur importance. « Faire tiers », c’est assurer à chaque individu qu’il sera écouté, entendu, que le lien sera humanisé. C’est à ça qu’est censé servir le tiers, l’autre, celui qui n’est ni toi ni moi, et qui nous garantit de retrouver le chemin du dialogue le jour où nous l’aurons perdu.</p>
<p>A force de considérer les silos comme des prisons et les humains comme trop imparfaits pour être dignes de confiance, on en oublie les principes de base de la vie elle-même :</p>
<ul>
<li>toute limite n’est pas nécessairement une tyrannie : un être vivant est constitué d’une membrane poreuse active qui délimite son intérieur et son extérieur ;</li>
<li>toute dépense d’énergie n’est pas forcément « rationalisée » : un être vivant dépense une énergie phénoménale juste pour préserver sa dérisoire homéostasie ;</li>
<li>c’est l’imperfection qui crée le nouveau : les « erreurs » de duplication du génome et l’épigénétique rendent la nature unique, imprévisible et résiliente ;</li>
<li>l’interdépendance des écosystèmes est locale et non pas globale, c’est cette diversité cloisonnée qui permet de préserver l’ensemble en cas d’effondrement d’une partie ;</li>
<li>etc…</li>
</ul>
<p>On a remplacé les palabres et la poignée de main par la monnaie, et le capitalisme est né, jusqu’à son dernier avatar informatisé, sans émotion ni empathie, qui régit les vies de milliards d’humains via des micro-transactions dé-corrélées des réalités. Remplaçons la monnaie par la <em>blockchain</em>, et nos pires cauchemars ne sont rien à côté de ce qui risque d’émerger. La gouvernance, si elle n’est pas humaine, prend le risque d’un réductionnisme mortifère et le chemin d’un égalitarisme totalitaire qui n’aura rien à envier aux dictatures que le monde a connues jusqu’ici.</p>
<p>Il me semble donc que les communs et le pair-à-pair ne pourront se développer harmonieusement qu’à la seule condition que les individus intègrent profondément que «pair», contrairement à son homonyme informatique, n’est pas synonyme de ce qui est «identique à moi» mais parle de connexion et d’amour d’une radicale altérité.</p>
<p>Ce que la <em>blockchain</em>, qui n’est qu’un outil, ne nous dit pas, c’est comment nous allons réussir à faire société et quelle société nous voulons. Cette perspective passe peut-être par trouver ce que nous avons en commun, ce qui ne signifie pas effacer nos singularités et nos défauts via une hypothétique technologie de la transaction. Il ne s’agit pas non plus de fantasmer un monde sans limites régi par une sémantique universelle, mythique Tour de Babel moderne.</p>
<p>Il s’agirait plutôt d’apprendre à travailler et à gouverner ensemble avec nos imperfections et nos limites, dans le but de créer quelque chose en commun au cœur de la relation. C’est probablement très difficile à réaliser (sans doute le travail de toute une vie !), inefficace et bancal, mais peut-être aussi tellement plus gratifiant et créateur de sens qu’une chaîne de chiffres infalsifiable…</p>
