title: La machine à abrutir
url: http://www.monde-diplomatique.fr/2008/08/JOURDE/16204
hash_url: 4157e03bc945168d899762c8f583a526

<p><span class="mot-lettrine"><span class="lettrine">J</span>usqu</span>’à présent, la qualité des médias audiovisuels, public et privé confondus, n’était pas vraiment un sujet. Puis le président de la République découvre que la télévision est mauvaise. Il exige de la culture. En attendant que la culture advienne, l’animateur Patrick Sabatier fait son retour sur le service public. En revanche, des émissions littéraires disparaissent. C’est la culture qui va être contente.</p>


<p>Avec l’alibi de quelques programmes culturels ou de quelques fictions «<small class="fine"> </small>créatrices<small class="fine"> </small>», les défenseurs du service public le trouvaient bon. Ils ne sont pas difficiles. Comme si, à l’instar d’une vulgaire télévision commerciale, on n’y avait pas le regard rivé à l’Audimat. Comme si la démagogie y était moins abondante qu’ailleurs.</p>


<p>Les médias ont su donner des dimensions monstrueuses à l’universel désir de stupidité qui sommeille même au fond de l’intellectuel le plus élitiste. Ce phénomène est capable de détruire une société, de rendre dérisoire tout effort politique. A quoi bon s’échiner à réformer l’école et l’Université<small class="fine"> </small>? Le travail éducatif est saccagé par la bêtise médiatique, la bouffonnerie érigée en moyen d’expression, le déferlement des valeurs de l’argent, de l’apparence et de l’individualisme étroit diffusées par la publicité, ultime raison d’être des grands groupes médiatiques. Bouygues envoie Jules Ferry aux oubliettes de l’histoire.</p>


<p>Lorsqu’on les attaque sur l’ineptie de leurs programmes, les marchands de vulgarité répliquent en général deux choses : primo, on ne donne au public que ce qu’il demande<small class="fine"> </small>; secundo, ceux qui les critiquent sont des élitistes incapables d’admettre le simple besoin de divertissement. Il n’est pas nécessairement élitiste de réclamer juste un peu moins d’ineptie. Il y a de vrais spectacles populaires de bonne qualité. Le public demande ce qu’on le conditionne à demander. On a presque abandonné l’idée d’un accès progressif à la culture par le spectacle populaire. Victor Hugo, Charlie Chaplin, Molière, René Clair, Jacques Prévert, Jean Vilar, Gérard Philipe étaient de grands artistes, et ils étaient populaires. Ils parvenaient à faire réfléchir et à divertir. L’industrie médiatique ne se fatigue pas : elle va au plus bas.</p>


<p>Chacun a le droit de se détendre devant un spectacle facile. Mais, au point où en sont arrivées les émissions dites de «<small class="fine"> </small>divertissement<small class="fine"> </small>», il ne s’agit plus d’une simple distraction. Ces images, ces mots plient l’esprit à certaines formes de représentation, les légitiment, habituent à croire qu’il est normal de parler, penser, agir de cette manière. Laideur, agressivité, voyeurisme, narcissisme, vulgarité, inculture, stupidité invitent le spectateur à se complaire dans une image infantilisée et dégradée de lui-même, sans ambition de sortir de soi, de sa personne, de son milieu, de son groupe, de ses «<small class="fine"> </small>choix<small class="fine"> </small>». Les producteurs de télé-réalité — «<small class="fine"> </small>Loft story<small class="fine"> </small>», «<small class="fine"> </small>Koh-Lanta<small class="fine"> </small>», «<small class="fine"> </small>L’île de la tentation<small class="fine"> </small>» —, les dirigeants des chaînes privées ne sont pas toujours ou pas seulement des imbéciles. Ce sont aussi des malfaiteurs. On admet qu’une nourriture ou qu’un air viciés puissent être néfastes au corps. Il y a des représentations qui polluent l’esprit.</p>


<p>Si les médias des régimes totalitaires parviennent, dans une certaine mesure, à enchaîner les pensées, ceux du capitalisme triomphant les battent à plate couture. Et tout cela, bien entendu, grâce à la liberté. C’est pour offrir des cerveaux humains à Coca-Cola que nous aurions conquis la liberté d’expression, que la gauche a «<small class="fine"> </small>libéré<small class="fine"> </small>» les médias. Nous, qui nous trouvons si intelligents, fruits de millénaires de «<small class="fine"> </small>progrès<small class="fine"> </small>», jugeons la plèbe romaine bien barbare de s’être complu aux jeux du cirque. Mais le contenu de nos distractions télévisées sera sans doute un objet de dégoût et de dérision pour les générations futures.</p>


<p>On a le choix<small class="fine"> </small>? Bien peu, et pour combien de temps<small class="fine"> </small>? La concentration capitaliste réunit entre les mêmes mains les maisons d’édition, les journaux, les télévisions, les réseaux téléphoniques et la vente d’armement. L’actuel président de la République est lié à plusieurs grands patrons de groupes audiovisuels privés, la ministre de la culture envisage de remettre en cause les lois qui limitent la concentration médiatique, la machine à abrutir reçoit la bénédiction de l’Etat (<a href="http://www.monde-diplomatique.fr/2008/08/JOURDE/16204#nb2-1" class="spip_note" rel="footnote" title="Cf. Marie Bénilde, « M. Sarkozy déjà couronné par les oligarques des médias ? », (...)" id="nh2-1">1</a>). Les aimables déclarations récentes sur l’intérêt des études classiques pèsent bien peu à côté de cela.</p>


<p>Quelle liberté<small class="fine"> </small>? La bêtise médiatique s’universalise. L’esprit tabloïd contamine jusqu’aux quotidiens les plus sérieux. Les médias publics courent après la démagogie des médias privés. Le vide des informations complète la stupidité des divertissements. Car il paraît qu’en plus d’être divertis nous sommes informés. Informés sur quoi<small class="fine"> </small>? Comment vit-on en Ethiopie<small class="fine"> </small>? Sous quel régime<small class="fine"> </small>? Où en sont les Indiens du Chiapas<small class="fine"> </small>? Quels sont les problèmes d’un petit éleveur de montagne<small class="fine"> </small>? Qui nous informe et qui maîtrise l’information<small class="fine"> </small>? On s’en fout. Nous sommes informés sur ce qu’il y a eu à la télévision hier, sur les amours du président, la garde-robe ou le dernier disque de la présidente, les accidents de voiture de Britney Spears. La plupart des citoyens ne connaissent ni la loi, ni le fonctionnement de la justice, des institutions, de leurs universités, ni la Constitution de leur Etat, ni la géographie du monde qui les entoure, ni le passé de leur pays, en dehors de quelques images d’Epinal.</p>


<p>Un des plus grands chefs d’orchestre du monde dirige le <i>Don Giovanni</i> de Mozart. Le journaliste consacre l’interview à lui demander s’il n’a pas oublié son parapluie, en cas d’averse. Chanteurs, acteurs, sportifs bredouillent à longueur d’antenne, dans un vocabulaire approximatif, des idées reçues. Des guerres rayent de la carte des populations entières dans des pays peu connus. Mais les Français apprennent, grâce à la télévision, qu’un scout a eu une crise d’asthme.</p>


<p>Le plus important, ce sont les gens qui tapent dans des balles ou qui tournent sur des circuits. Après la Coupe de France de football, Roland-Garros, et puis le Tour de France, et puis le Championnat d’Europe de football, et puis... Il y a toujours une coupe de quelque chose. «<small class="fine"> </small>On la veut tous<small class="fine"> </small>», titrent les journaux, n’imaginant pas qu’on puisse penser autrement. L’annonce de la non-sélection de Truc ou de Machin, enjeu national, passe en boucle sur France Info. Ça, c’est de l’information. La France retient son souffle. On diffuse à longueur d’année des interviews de joueurs. On leur demande s’ils pensent gagner. Ils répondent invariablement qu’ils vont faire tout leur possible<small class="fine"> </small>; ils ajoutent : <i>«<small class="fine"> </small>C’est à nous maintenant de concrétiser.<small class="fine"> </small>»</i> Ça, c’est de l’information.</p>


<p>On va interroger les enfants des écoles pour savoir s’ils trouvent que Bidule a bien tapé dans la balle, si c’est «<small class="fine"> </small>cool<small class="fine"> </small>». Afin d’animer le débat politique, les journalistes se demandent si Untel envisage d’être candidat, pense à l’envisager, ne renonce pas à y songer, a peut-être laissé entendre qu’il y pensait. On interpelle les citoyens dans les embouteillages pour deviner s’ils trouvent ça long. Pendant les canicules pour savoir s’ils trouvent ça chaud. Pendant les vacances pour savoir s’ils sont contents d’être en vacances. Ça, c’est de l’information. A la veille du bac, on questionne une pharmacienne pour savoir quelle poudre de perlimpinpin vendre aux étudiants afin qu’ils pensent plus fort. Des journalistes du service public passent une demi-heure à interroger un «<small class="fine"> </small>blogueur<small class="fine"> </small>», qui serait le premier à avoir annoncé que Duchose avait dit qu’il pensait sérieusement à se présenter à la présidence de quelque machin. Il s’agit de savoir comment il l’a appris avant les autres. Ça, c’est de l’information. Dès qu’il y a une manifestation, une grève, un mouvement social, quels que soient ses motifs, les problèmes réels, pêcheurs, enseignants, routiers, c’est une <i>«<small class="fine"> </small>grogne<small class="fine"> </small>».</i> Pas une protestation, une colère, un mécontentement, non, une <i>grogne.</i> La France grogne. Ça, c’est de l’information.</p>


<p>On demande au premier venu ce qu’il pense de n’importe quoi, et cette pensée est considérée comme digne du plus grand intérêt. Après quoi, on informe les citoyens de ce qu’ils ont pensé. Ainsi, les Français se regardent. Les journalistes, convaincus d’avoir affaire à des imbéciles, leur donnent du vide. Le public avale<small class="fine"> </small>? Les journalistes y voient la preuve que c’est ce qu’il demande.</p>


<p>Cela, c’est 95<small class="fine"> </small>% de l’information, même sur les chaînes publiques. Les 5<small class="fine"> </small>% restants permettent aux employés d’une industrie médiatique qui vend des voitures et des téléphones de croire qu’ils exercent encore le métier de journalistes. Ce qui est martelé à la télévision, à la radio envahit les serveurs Internet, les journaux, les objets, les vêtements, tout ce qui nous entoure. Le cinéma devient une annexe de la pub. La littérature capitule à son tour.Le triomphe de l’autofiction n’est qu’un phénomène auxiliaire de la «<small class="fine"> </small>peopolisation<small class="fine"> </small>» généralisée, c’est-à-dire de l’anéantissement de la réflexion critique par l’absolutisme du : «<small class="fine"> </small>C’est moi, c’est mon choix, donc c’est intéressant, c’est respectable.<small class="fine"> </small>»</p>


<p>La bêtise médiatique n’est pas un épiphénomène. Elle conduit une guerre d’anéantissement contre la culture. Il y a beaucoup de combats à mener. Mais, si l’industrie médiatique gagne sa guerre contre l’esprit, tous seront perdus.</p>
