title: Dojo Philo, saison 2
url: https://ut7.fr/blog/2017/02/02/dojo_philo_la_suite.html
hash_url: 645886b1eec43508b8704b7d4a48739f

<p>Le dojo philo a repris … sous une forme plus variée : les après-midi de Simone,
et le Cercle des Diodes.</p>

<!--more-->

<p>En 2016, nous avons fait une
<a href="https://ut7.fr/blog/2016/11/14/dojo-philo-saison-1-dernier-episode.html">première tentative</a>,
pour créer un espace d’entrainement à l’esprit critique.
Il s’agissait de mettre en œuvre une dynamique d’apprentissage collectif
bien connue (notamment grâce aux coding dojos), dans une discipline
bien plus mystérieuse pour moi : la philosophie.</p>

<p>L’expérience a été concluante : tous les participants ont appris,
<a href="http://peggyavez.com/index.php/2016/11/24/saison-1-finie-vive-la-saison-2/">y compris Peggy, notre experte philosophe</a>.
Parmi tout ce que j’ai appris figure une distinction utile
pour la suite des opérations :
Apprendre à philosopher, c’est s’entrainer à un travail de pensée,
mais c’est aussi s’approprier un héritage culturel dit « philosophique ».</p>

<p>Pendant la saison 1, j’ai compris en quoi cette appropriation était essentielle,
et à ma plus grande surprise, j’ai pu me convaincre qu’elle était possible sans difficulté.
C’est d’ailleurs cette activité d’appropriation qui a prédominé nos séances jusqu’à maintenant.</p>

<p>Pour la saison 2, Peggy pérennise le format élaboré l’année précédente en proposant
les <a href="http://peggyavez.com/index.php/2017/01/06/les-apres-midis-de-simone-paris-programme-2017/"><strong>après-midi de Simone</strong></a>,
sur des thèmes progammés, pendant toute l’année 2017.</p>

<p>Le dojo philo a un deuxième rejeton :</p>

<p>Nous nous sommes constitué en un collectif, humblement nommé
“<strong>le Comité d’Inauguration du Siècle des Diodes Électroluminescentes</strong>”,
qui se réunit régulièrement pour créer, le temps de la rencontre
un espace d’entrainement à ce travail de pensée.</p>

<p>Mais comment s’entrainer ? Et à quels gestes, précisémment ?
Cela reste encore mystérieux, et répondre à ces questions fait aussi partie
de l’objet de notre recherche.</p>

<p>Ne sachant ni où aller, ni comment y aller, nous y sommes allés le plus vite possible,
dès lundi 30 janvier,
avec une première Recontre du Comité d’Inauguration des Diodes Électroluminescentes
(je dis “cercle des diodes”, ça va plus vite).
Pour cette première séance, le cercle des diodes a volé un exercice à la
<a href="http://philoteam.ning.com/">philoteam</a>, et c’était … enthousiasmant.
Là, c’est
<a href="https://twitter.com/Morendil">Laurent</a>
qui raconte :</p>

<blockquote>
  <p>Imagine une demi-douzaine ou un peu plus d’adultes à priori sérieux, qui font
un métier de haute volée, qui reviennent tout à coup à un jeu de rôle : moi je
serai l’Analogie, toi tu seras l’Objection, toi tu seras la Reformulation…
Tout d’un coup “philosopher” n’est plus un Everest à gravir, c’est la cabane au
toboggan dans le bac à sable du jardin public où les parents un peu déconneurs
montent avec un plaisir coupable: ça redevient un jeu; on lâche un peu le côté
sombre, engageant de ce qui nous amène ici - l’époque où on vit, les choses
graves qui s’y passent - et on se laisse porter par quelques règles simples.
Que le sujet posé soit trivial - “une chaise a-t-elle quatre pieds” - ou à
priori complexe - “l’auto-organisation est-elle possible” - on peut ainsi
l’aborder de façon détendue…</p>
</blockquote>

<p>Ou cela nous mène-t-il?
On ne sait pas. Dans une certaine mesure, ça n’a pas d’importance.
Ce qui compte n’est pas tant la destination :
plutôt que d’aller au bout du pélérinage à Saint Jacques de Compostelle à la première tentative,
ce qu’on veut, c’est s’entrainer à marcher.</p>

<p>Voilà donc ce qu’est devenu le dojo philo de l’année dernière :</p>

<ul>
  <li>
    <p>les <a href="http://peggyavez.com/index.php/2017/01/06/les-apres-midis-de-simone-paris-programme-2017/">après-midi de Simone</a>
des morceaux de culture philophique en téléchargement accéléré ;</p>
  </li>
  <li>
    <p>le cercles des diodes, une communauté d’apprentissage et des soirees pour faire de l’exercice de la pensée.</p>
  </li>
</ul>

<p>Tout cela a lieu un lundi sur 4, dans <a href="https://ut7.fr/blog/2016/06/02/passe-a-la-boutique.html">la boutique de /ut7</a>.
et, comble de bonheur, le cercle des diodes se réunit à 19h, juste après l’après-midi de Simone.
Les motivé(e)s pourront, selon leur envie, participer à l’un, l’autre ou les deux.</p>

<p>Pour participer aux après-midi de Simone, inscrivez-vous sur
<a href="http://peggyavez.com//index.php/2017/01/06/les-apres-midis-de-simone-paris-programme-2017/">le site de Peggy</a>.<br />
Pour participer aux cercles des diodes, <a href="&#109;&#097;&#105;&#108;&#116;&#111;:&#114;&#097;&#112;&#104;&#097;&#101;&#108;&#064;&#117;&#116;&#055;&#046;&#102;&#114;">contactez Raphaël</a>.</p>
