title: Former Facebook Workers: We Routinely Suppressed Conservative News
url: http://gizmodo.com/former-facebook-workers-we-routinely-suppressed-conser-1775461006
hash_url: c96d641cce64a08245d4c99a1cb99603

<div class="post-content entry-content "><figure class="has-media media-large has-image"><span class="js_lightbox-wrapper lightbox-wrapper">
      <span class="magnifier js_lightbox lightbox hide">
        <svg class="svg-icon svg-zoom-in">
          <use xlink:href="#iconset-zoom-in"/>
        </svg>
      </span>
    <img src="http://i.kinja-img.com/gawker-media/image/upload/s--Hd-GwECp--/c_scale,fl_progressive,q_80,w_800/fzgcncgtbjvssokiynau.png" alt="Former Facebook Workers: We Routinely Suppressed Conservative News" lazyload="true" data-chomp-id="fzgcncgtbjvssokiynau" data-asset-url="http://i.kinja-img.com/gawker-media/image/upload/s--Hd-GwECp--/c_scale,fl_progressive,q_80,w_800/fzgcncgtbjvssokiynau.png" data-format="png" firstasset="true"/><figcaption>Illustration: Jim Cooke</figcaption></span></figure>

  <p class="first-text">Facebook workers routinely suppressed news stories of interest to conservative readers from the social network’s influential “trending” news section, according to a former journalist who worked on the project. This individual says that workers prevented stories about the right-wing CPAC gathering, Mitt Romney, Rand Paul, and other conservative topics from appearing in the highly-influential section, even though they were organically trending among the site’s users.<br/></p>

  <figure class="has-media media-small has-image"><span class="js_lightbox-wrapper lightbox-wrapper">
      <span class="magnifier js_lightbox lightbox hide">
        <svg class="svg-icon svg-zoom-in">
          <use xlink:href="#iconset-zoom-in"/>
        </svg>
      </span>
    <img src="http://i.kinja-img.com/gawker-media/image/upload/s--nW_jrK8v--/wnoxkbpgvqqobyqlkgex.jpg" alt="Former Facebook Workers: We Routinely Suppressed Conservative News" lazyload="true" data-chomp-id="wnoxkbpgvqqobyqlkgex" data-asset-url="http://i.kinja-img.com/gawker-media/image/upload/s--nW_jrK8v--/wnoxkbpgvqqobyqlkgex.jpg" data-format="jpg"/></span></figure>

  <p>Several former Facebook “news curators,” as they were known internally, also told Gizmodo that they were instructed to artificially “inject” selected stories into the trending news module, even if they weren’t popular enough to warrant inclusion—or in some cases weren’t trending at all. The former curators, all of whom worked as contractors, also said they were directed not to include news about Facebook itself in the trending module.<br/></p>

  <p>In other words, Facebook’s news section operates like a traditional newsroom, reflecting the biases of its workers and the institutional imperatives of the corporation. Imposing human editorial values onto the lists of topics an algorithm spits out is by no means a bad thing—but it is in stark contrast to the <a href="https://www.facebook.com/help/737806312958641" rel="noopener" target="_blank">company’s claims</a> that the trending module simply lists “topics that have recently become popular on Facebook.”</p>
  <p>These new allegations emerged after Gizmodo last week<a href="http://gizmodo.com/want-to-know-what-facebook-really-thinks-of-journalists-1773916117"> revealed</a> details about the inner workings of Facebook’s trending news team—a small group of young journalists, primarily educated at Ivy League or private East Coast universities, who curate the “trending” module on the upper-right-hand corner of the site. As we reported last week, curators have access to a ranked list of trending topics surfaced by Facebook’s algorithm, which prioritizes the stories that should be shown to Facebook users in the trending section. The curators write headlines and summaries of each topic, and include links to news sites. The section, which launched in 2014, constitutes some of the most powerful real estate on the internet and helps dictate what news Facebook’s users—167 million in the US alone—are reading at any given moment.</p>

<p>“Depending on who was on shift, things would be blacklisted or trending,” said the former curator. This individual asked to remain anonymous, citing fear of retribution from the company. The former curator is politically conservative, one of a very small handful of curators with such views on the trending team. “I’d come on shift and I’d discover that CPAC or Mitt Romney or Glenn Beck or popular conservative topics wouldn’t be trending because either the curator didn’t recognize the news topic or it was like they had a bias against Ted Cruz.”</p>
<p>The former curator was so troubled by the omissions that they kept a running log of them at the time; this individual provided the notes to Gizmodo. Among the deep-sixed or suppressed topics on the list: former IRS official Lois Lerner, who was accused by Republicans of inappropriately scrutinizing conservative groups; Wisconsin Gov. Scott Walker; popular conservative news aggregator the Drudge Report; Chris Kyle, the former Navy SEAL who was murdered in 2013; and former Fox News contributor Steven Crowder. “I believe it had a chilling effect on conservative news,” the former curator said.<br/></p>

<p>Another former curator agreed that the operation had an aversion to right-wing news sources. “It was absolutely bias. We were doing it subjectively. It just depends on who the curator is and what time of day it is,” said the former curator. “Every once in awhile a Red State or conservative news source would have a story. But we would have to go and find the same story from a more neutral outlet that wasn’t as biased.”<br/></p>
<p>Stories covered by conservative outlets (like Breitbart, Washington Examiner, and Newsmax) that were trending enough to be picked up by Facebook’s algorithm were excluded unless mainstream sites like the <em>New York Times</em>, the BBC, and CNN covered the same stories.<br/></p>
<p>Other former curators interviewed by Gizmodo denied consciously suppressing conservative news, and we were unable to determine if left-wing news topics or sources were similarly suppressed. The conservative curator described the omissions as a function of his colleagues’ judgements; there is no evidence that Facebook management mandated or was even aware of any political bias at work.<br/></p>
<p>Managers on the trending news team did, however, explicitly instruct curators to artificially manipulate the trending module in a different way: When users weren’t reading stories that management viewed as important, several former workers said, curators were told to put them in the trending news feed anyway. Several former curators described using something called an “injection tool” to push topics into the trending module that weren’t organically being shared or discussed enough to warrant inclusion—putting the headlines in front of thousands of readers rather than allowing stories to surface on their own. In some cases, after a topic was injected, it actually became the number one trending news topic on Facebook.<br/></p>
<p>“We were told that if we saw something, a news story that was on the front page of these ten sites, like CNN, the <em>New York Times</em>, and BBC, then we could inject the topic,” said one former curator. “If it looked like it had enough news sites covering the story, we could inject it—even if it wasn’t naturally trending.” Sometimes, breaking news would be injected because it wasn’t attaining critical mass on Facebook quickly enough to be deemed “trending” by the algorithm. Former curators cited the disappearance of Malaysia Airlines flight MH370 and the Charlie Hebdo attacks in Paris as two instances in which non-trending stories were forced into the module. Facebook has <a href="https://www.theguardian.com/technology/2015/aug/12/facebook-testing-breaking-news-app-twitter" rel="noopener" target="_blank">struggled to compete</a> with Twitter when it comes to delivering real-time news to users; the injection tool may have been designed to artificially correct for that deficiency in the network. “We would get yelled at if it was all over Twitter and not on Facebook,” one former curator said.<br/></p>
<aside class="pullquote align--left">“Facebook got a lot of pressure about not having a trending topic for Black Lives Matter.”</aside>
<p>In other instances, curators would inject a story—even if it wasn’t being widely discussed on Facebook—because it was deemed important for making the network look like a place where people talked about hard news. “People stopped caring about Syria,” one former curator said. “[And] if it wasn’t trending on Facebook, it would make Facebook look bad.” That same curator said the Black Lives Matter movement was also injected into Facebook’s trending news module. “Facebook got a lot of pressure about not having a trending topic for Black Lives Matter,” the individual said. “They realized it was a problem, and they boosted it in the ordering. They gave it preference over other topics. When we injected it, everyone started saying, ‘Yeah, now I’m seeing it as number one’.” This particular injection is especially noteworthy because the #BlackLivesMatter movement originated on Facebook, and the ensuing media coverage of the movement often noted its powerful social media presence.</p>
<p>(In February, CEO Mark Zuckerberg <a href="http://gizmodo.com/mark-zuckerberg-asks-racist-facebook-employees-to-stop-1761272768">expressed his support for the movement</a> in an internal memo chastising Facebook employees for defacing Black Lives Matter slogans on the company’s internal “signature wall.”)</p>
<p>When stories about Facebook itself would trend organically on the network, news curators used less discretion—they were told not to include these stories at all. “When it was a story about the company, we were told not to touch it,” said one former curator. “It had to be cleared through several channels, even if it was being shared quite a bit. We were told that we should not be putting it on the trending tool.”<br/></p>
<p>(The curators interviewed for this story worked for Facebook across a timespan ranging from mid-2014 to December 2015.)<br/></p>
<p>“We were always cautious about covering Facebook,” said another former curator. “We would always wait to get second level approval before trending something to Facebook. Usually we had the authority to trend anything on our own [but] if it was something involving Facebook, the copy editor would call their manager, and that manager might even call their manager before approving a topic involving Facebook.”<br/></p>
<p>Gizmodo reached out to Facebook for comment about each of these specific claims via email and phone, but did not receive a response.<br/></p>
<p>Several former curators said that as the trending news algorithm improved, there were fewer instances of stories being injected. They also said that the trending news process was constantly being changed, so there’s no way to know exactly how the module is run now. But the revelations undermine any presumption of Facebook as a <a href="http://recode.net/2015/08/21/how-facebook-decides-whats-trending/" rel="noopener" target="_blank">neutral pipeline for news</a>, or the trending news module as an algorithmically-driven list of what people are <em>actually</em> talking about.<br/></p>
<p>Rather, Facebook’s efforts to play the news game reveal the company to be much like the news outlets it is rapidly driving toward irrelevancy: a select group of professionals with vaguely center-left sensibilities. It just happens to be one that poses as a neutral reflection of the vox populi, has the power to influence what billions of users see, and <a href="http://gizmodo.com/facebook-employees-asked-mark-zuckerberg-if-they-should-1771012990">openly discusses</a> whether it should use that power to influence presidential elections.<br/></p>

<p>“It wasn’t trending news at all,” said the former curator who logged conservative news omissions. “It was an opinion.”<br/></p>
<p><em>[Disclosure: Facebook has launched a program that pays publishers, including the </em>New York Times<em> and Buzzfeed, to produce videos for its Facebook Live tool. Gawker Media, Gizmodo’s parent company, recently joined that program.]</em><br/></p>
</div>
